%define name	qt
%define	major	2
%define qtdir	%{_libdir}/qt%{major}

Summary:	Shared library for the Qt2 GUI toolkit
Name:		%{name}%{major}
Version:	2.3.0
Release:	3mdk

Source0:	ftp://ftp.troll.no/qt/source/qt-x11-%{version}.tar.bz2
Patch0:		qt2-configs-linux-g++-shared-without-rpath.bz2
Patch1:         qt-2.3.0-printing.patch.bz2 
License:	GPL & QPL
Group:		Development/KDE and QT
URL:		http://www.trolltech.com/products/qt.html
BuildRoot:	%_tmppath/%name-%version-root
BuildRequires:	gcc-c++, libstdc++, libstdc++-devel, libmng, libmng-devel
BuildRequires:	XFree86-devel, glibc-devel, libungif-devel, zlib-devel
BuildRequires:	libjpeg-devel, libpng-devel

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for the X Windows system.
It has everything you need to create professional GUI applications. 
And it enables you to create them quickly.
Qt is multi-platform toolkit written in C++ and is fully object-oriented. 
This package contains the shared library needed to run Qt2 applications, as
well as the README files for Qt.

%package -n lib%{name}
Summary:	Shared library for the Qt2 GUI toolkit
Group:		Development/KDE and QT
Provides:	%name
Obsoletes:	%name

%description -n lib%{name}
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows System.
Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98
or framebuffer devices.
Simply recompile your source code on the platform you want.

This package contains the shared library needed to run Qt2 applications, as
well as the README files for Qt.

%package -n lib%{name}-devel
Summary:	Header files and libraries for developing apps which will use Qt2
Group:		Development/KDE and QT
Requires:	libqt2 = %version-%release
Provides:	%name-devel 
# rpmlint want this package provide qt-devel but it's a bad idea because it can
# confuse some old SRPM
Obsoletes:	%{name}-devel, %{name}-doc

%description -n lib%{name}-devel
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

This package contains the files necessary to develop applications See
http://www.troll.no/ for more information about Qt.

%package Xt
Summary: An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.
Group: Development/Other
Requires: lib%{name} = %{version}-%{release}

%package static-libraries
Summary: Version of the Qt GUI toolkit for static linking
Group: Development/KDE and QT
Requires: %{name}-devel = %{version}-%{release}

%package designer
Summary: Interface designer (IDE) for the Qt toolkit
Group: Development/KDE and QT
Requires: lib%{name}-devel = %{version}-%{release}

%description Xt
An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.

%description static-libraries
The qt-static package contains the files necessary to link applications
to the Qt GUI toolkit statically (rather than dynamically).
Statically linked applications don't require the library to be installed
on the system running the application.

%description designer
The qt-designer package contains an User Interface designer tool
for the Qt toolkit.

%prep

%setup -q -n qt-%version
%patch0 -p1
%patch1 -p1

%build
export QTDIR=$(/bin/pwd)

perl -pi -e "s/-O2/$RPM_OPT_FLAGS/g" configs/linux*

# build static libs first 
./configure -release \
            -static \
	    -gif \
	    -sm \
	    -qt-zlib \
	    -qt-libpng \
	    -system-libmng \
	    -system-jpeg \
	    -no-nas-sound \
	    -kde \
	    -no-g++-exceptions \
	    -thread \
	    -xft <<EOF
yes 
EOF

%make SYSCONF_CFLAGS="$RPM_OPT_FLAGS" SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" src-moc src-mt sub-src sub-tools

# build shared library
./configure -release \
            -shared \
	    -gif \
	    -sm \
	    -qt-zlib \
	    -qt-libpng \
	    -system-libmng \
	    -system-jpeg \
	    -no-nas-sound \
	    -kde \
	    -no-g++-exceptions \
	    -thread \
	    -xft <<EOF
yes 
EOF

%make SYSCONF_CFLAGS="$RPM_OPT_FLAGS" SYSCONF_CXXFLAGS="$RPM_OPT_FLAGS" src-moc src-mt sub-src sub-tools

%make -C extensions/xt/src 

%make -C tools/designer


%install
export QTDIR=$(/bin/pwd)

# Create directories needed for installation
install -d 644 $RPM_BUILD_ROOT%_bindir
install -d 644 $RPM_BUILD_ROOT%_docdir/qt-%version
install -d 644 $RPM_BUILD_ROOT%_includedir/%name
install -d 644 $RPM_BUILD_ROOT%_libdir
install -d 644 $RPM_BUILD_ROOT%_mandir
install -d 644 $RPM_BUILD_ROOT%{qtdir}/bin
install -d 644 $RPM_BUILD_ROOT%{qtdir}/lib

#strip binaries
 for i in bin/*; do
    strip -R .comment $i || :
done

# Compensate for Qt's broken Makefiles
for i in makeqpf mergetr msg2qm qconfig; do
        make -C tools/$i
        strip -R .comment tools/$i/$i
        install -m 755 tools/$i/$i $RPM_BUILD_ROOT%{_libdir}/%{name}/bin
done

# Install shared and static binaries
install -m755 bin/* $RPM_BUILD_ROOT%{_libdir}/%{name}/bin
install -m644 lib/*.a $RPM_BUILD_ROOT%{_libdir}/%{name}/lib

# Install libs
install -m755 lib/libqt.so.2.3.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib
install -m755 lib/libqutil.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib
install -m755 lib/libqt-mt.so.2.3.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib
install -m755 lib/libqxt.so.0.3.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib

# Add missing links
(
cd $RPM_BUILD_ROOT%_libdir
ln -sf libqt.so.%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqt.so.2.2
ln -sf libqt.so.%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqt.so.2.2
ln -sf libqt.so.%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqt.so
ln -sf libqutil.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqutil.so.1.0
ln -sf libqutil.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqutil.so.1
ln -sf libqutil.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqutil.so
ln -sf libqt-mt.so.%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqt-mt.so.2.2
ln -sf libqt-mt.so.%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqt-mt.so.2
ln -sf libqt-mt.so.%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqt-mt.so
ln -sf libqxt.so.0.3.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqxt.so.0.3
ln -sf libqxt.so.0.3.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqxt.so.0
ln -sf libqxt.so.0.3.0 $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/libqxt.so
)

(
 ln -s qt2/lib/libqt.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libqt.so.%{version}
 ln -s qt2/lib/libqutil.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libqutil.so.1.0.0
 ln -s qt2/lib/libqt-mt.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libqt-mt.so.%{version}
 ln -s qt2/lib/libqxt.so.0.3.0 $RPM_BUILD_ROOT%{_libdir}/libqxt.so.0.3.0
)
(
 cd $RPM_BUILD_ROOT%{_libdir}
 ln -s libqt.so.%{version} libqt.so.2
 ln -s libqt.so.%{version} libqt.so
 ln -s libqt.so.%{version} libqt.so.2.2
 ln -s libqutil.so.1.0.0 libqutil.so.1
 ln -s libqutil.so.1.0.0 libqutil.so.1.O
 ln -s libqutil.so.1.0.0 libqutil.so
 ln -s libqt-mt.so.%{version} libqt-mt.so.2
 ln -s libqt-mt.so.%{version} libqt-mt.so
 ln -s libqt-mt.so.%{version} libqt-mt.so.2.2
 ln -s libqxt.so.0.3.0 libqxt.so.0
 ln -s libqxt.so.0.3.0 libqxt.so
 ln -s libqxt.so.0.3.0 libqxt.so.0.3

)

# Install include files
cp -fR include/. $RPM_BUILD_ROOT%{_includedir}/%{name}

# (deush) symlinks for include files and static libs
mkdir -p $RPM_BUILD_ROOT%{qtdir}/include
cp -fR include/. $RPM_BUILD_ROOT%{qtdir}/include

(   cd $RPM_BUILD_ROOT%_libdir
    for i in libqt.a libqt-mt.a libqutil.a libqxt.a;do
    ln -s qt2/lib/$i $i
    done
) 

mkdir -p $RPM_BUILD_ROOT%{qtdir}/tools/designer/pics

# some stuffs for qt-designer
cp -arf tools/designer/pics/* $RPM_BUILD_ROOT%{qtdir}/tools/designer/pics/

# Install man pages
cp -arf doc/man/* $RPM_BUILD_ROOT/%_mandir/
(
cd $RPM_BUILD_ROOT/%_mandir/
for i in $(find . -name \*.3qt);do
mv -f $i ${i}.%version
done
)
install -d 644 %buildroot/%_mandir/man1


# Install documentation
cp -arf examples/ %buildroot/%_docdir/qt-%version
cp -arf tutorial/ %buildroot/%_docdir/qt-%version
cp -arf doc/html/ %buildroot/%_docdir/qt-%version

cp $RPM_BUILD_DIR/qt-%version/ANNOUNCE %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/FAQ %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/LICENSE.GPL %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/LICENSE.QPL %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/MANIFEST %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/PLATFORMS %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/PORTING %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/README %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/README.QT %buildroot/%_docdir/qt-%version
cp $RPM_BUILD_DIR/qt-%version/changes-2.3.0 %buildroot/%_docdir/qt-%version

# Clean documentation directory
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile| \
xargs perl -pi -e 's|^SYSCONF_MOC.*|SYSCONF_MOC         = /$OUTDOCDIR/bin/moc|'

(
cd %buildroot/%_docdir/qt-%version/examples
find . -type f -perm 755 | xargs rm
make clean
find . -name "*.pro" -exec rm -f {} \; \
# Dadou - 2.2.2-3md - Workaround for buggy Makefile
cd guithreads
make clean
cd ..
# Dadou - 2.2.2-3mdk - Workaround for buggy Makefile
cd semaphores
make clean
cd ..
)
(
cd %buildroot/%_docdir/qt-%version/tutorial
find . -type f -perm 755 | xargs rm
make clean
find . -name "*.pro" -exec rm -f {} \; \
)

install -d %buildroot/%_bindir/
for i in moc uic designer makeqpf mergetr msg2qm qconfig qt20fix qtrename140 findtr; do
    ln -sf %_libdir/%name/bin/$i %buildroot/%_bindir
done

# Create menu entry for Qt Designer
install -d 644 %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/qt2-designer
?package(%{name}-designer): needs=X11 \
section="Applications/Development/Development environments" \
title="QT Designer" \
longtitle="A graphical designer/dialog builder for Qt2" \
command="designer" \
icon="%_libdir/qt2/tools/designer/pics/small/qtlogo.png"
EOF

%post -n lib%name
/sbin/ldconfig

%postun -n lib%name
/sbin/ldconfig

%post -n lib%name-devel
/sbin/ldconfig

%postun -n lib%name-devel
/sbin/ldconfig

%post -n %name-Xt
/sbin/ldconfig

%postun -n %name-Xt
/sbin/ldconfig

%post designer
%update_menus

%postun designer
%clean_menus

%clean
rm -fr $RPM_BUILD_ROOT

%files -n lib%{name}
%defattr(-,root,root,-)
%doc %_docdir/qt-%version/ANNOUNCE
%doc %_docdir/qt-%version/FAQ
%doc %_docdir/qt-%version/LICENSE.GPL
%doc %_docdir/qt-%version/LICENSE.QPL
%doc %_docdir/qt-%version/MANIFEST
%doc %_docdir/qt-%version/PLATFORMS
%doc %_docdir/qt-%version/PORTING
%doc %_docdir/qt-%version/README
%doc %_docdir/qt-%version/README.QT

%{qtdir}/lib/libqt-mt.so.2*
%{qtdir}/lib/libqt.so.2*
%{qtdir}/lib/libqutil.so.1*
%{_libdir}/libqt-mt.so.2*
%{_libdir}/libqt.so.2*
%{_libdir}/libqutil.so.1*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%doc %_docdir/qt-%version/examples/
%doc %_docdir/qt-%version/html/
%doc %_docdir/qt-%version/tutorial/
%doc %_mandir/man*/*
%doc %_docdir/qt-%version/changes*
%{_bindir}/findtr*
%{_bindir}/makeqpf*
%{_bindir}/mergetr*
%{_bindir}/moc*
%{_bindir}/msg2qm*
%{_bindir}/qconfig*
%{_bindir}/qt20fix*
%{_bindir}/qtrename140*
%{_bindir}/uic*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{qtdir}/include/*
%{_libdir}/*.so
%{qtdir}/bin/findtr
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtrename140
%{qtdir}/bin/uic
%{qtdir}/bin/moc
%{qtdir}/bin/makeqpf
%{qtdir}/bin/mergetr
%{qtdir}/bin/msg2qm
%{qtdir}/bin/qconfig
%{qtdir}/lib/libqt.so

%files static-libraries
%defattr(-,root,root,-)
%{qtdir}/lib/*.a
%{_libdir}/*.a
    
%files Xt
%defattr(-,root,root,-)
%{_libdir}/libqxt.so*
%{qtdir}/lib/libqxt.so*

%files designer
%defattr(-,root,root,-)
%{_bindir}/designer*
%{qtdir}/bin/designer*
%_menudir/*
%{qtdir}/tools/designer/*/*

%changelog
* Sun Apr 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-3mdk
- Rebuild with latest GCC

* Sun Mar 18 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.0-2mdk
- patched to handle X fonts well  

* Thu Mar 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-3mdk
- Rebuild to try to remove dependancies on libmng0 (thanks to Guillaume)

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-2mdk
- Rebuild with libmng-1.0.0

* Thu Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-9mdk
- Use sources from TrollTech
- Remove patch #1
- Add two patches from David FAURE

* Wed Jan 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-8mdk
- Enable KDE support
- Use optimizations

* Tue Dec 26 2000 Daouda Lo <daouda@mandrakesoft.com> 2.2.3-7mdk
- AA support (build with -xft) -> with freetype2 + XFree-4.0.2 (see cooker)  
- cleanups

* Fri Dec 22 2000 Daouda Lo <daouda@ke.mandrakesoft.com> 2.2.3-6mdk
- fix symlinks 
- cleanups

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.3-5mdk
- add a libqt.so as quick hack for myself to build Licq.
- need fix: fix bad symlinks in /usr/lib.

* Tue Dec 19 2000  Daouda Lo <daouda@mandrakesoft.com> 2.2.3-4mdk
- links to include files in /usr/lib/qt2/include 

* Mon Dec 18 2000  Daouda <daouda@mandrakesoft.com> 2.2.3-2mdk
- provides libs in %{_libdir} , some packages need this to build

* Mon Dec 18 2000  Daouda Lo <daouda@mandrakesoft.com> 2.2.3-2mdk
- big changes : package splitted in 4 entities 
- fix gcc internal error (drawback-> -O2 opt :(
- merge with big dadou cleanups
- lib policy

* Tue Dec 11 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-1mdk
- Enable libmng support
- Enable threads
- Rewrite spec to make it LMDK compliant
- Remove doc packages (most of doc is in devel package now)
- Remove rpath
- Libdification
- Add longtitle to Qt Designer menu entry
- Fix groups
- Make rpmlint happy (at least, nearly)

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.2-2mdk
- Update to 2.2.2 package on cooker.

* Tue Nov 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.2-1mdk
- Update to 2.2.2 package

* Wed Nov  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.1-5mdk
- Add gcc2.96 patches from redhat.

* Thu Nov 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-4mdk
- Added msg2qm utility back per request from Cookers
- Recompile for gcc 2.96

* Tue Oct 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-3mdk
- Attempting to fix patch so that it builds on it's own (I can not use RCS
  patches that are sent to me).
- Rebuild with no exceptions

* Mon Oct 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-2mdk
- Added patch 0 from David Faure

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-1mdk
- Update to 2.2.1 package

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-4mdk
- Some KDE related patches

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-3mdk
- Some KDE related patches

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-2mdk
- Changed liscense from QPL to GPL

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-1mdk
- Upgraded to final realease version

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.7mdk
- Some KDE related patches

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.6mdk
- Some KDE related patches

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.5mdk
- Some KDE related patches

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.4mdk
- Some KDE related patches

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.3mdk
- Fixed designer templates and support files in devel package.
- Added menu for designer

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.2mdk
-Fixed location of docs                        
-Fixed designer location and location of libs required by designer.

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.1mdk
- Updated to qt2 2.2 beta 1 as required by KDE
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-10mdk
- Some KDE related patches

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-9mdk
- Some KDE related patches

* Wed Jul 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-8mdk
- This is 2.2beta0
- Updated code patches
- BM

* Tue Jul 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-7mdk
- Updated code patches

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-6mdk
- Updated again some more patches by the kde2 team

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-5mdk
- Updated again some patches for kde2

* Sat Jul 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-4mdk
- Updated some patches for KDE

* Tue Jun 21 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.1.1-3mdk
- be pedantic and add some symlinks to /usr/bin
- fixed long standing unfixed typo
- package is not relocatable (???)
- NOTE: package maintainer remains: molnarc@mandrakesoft.com

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-2mdk
- Updated spec file to save room. New spec file sent by cooker user
- taki@cloud.matav.sulinet.hu
  
* Fri Jun 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-1mdk
- updated to qt2.1.1

* Mon May 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-6mdk
- recompiled with jpeg support needed by kde2

* Sat May  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.0-5mdk
- fixed conflicting files in qt2 and qt2-devel

* Mon Apr 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-4mdk
- changed back to QTDIR being /usr/lib/qt2

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-3mdk
- bowed to a bunch of email complaints and moved the development dir 
  from /usr/lib/qt2/... to /usr/include/qt2/.... QTDIR=/usr/include/qt2

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-2mdk
- Fixed a missing libqt2.so link.

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-1mdk
- Update to release version 2.1.0

* Fri Mar 24 2000 David Faure <david@mandrakesoft.com> 2.1.0-0.3.1mdk
- Upgraded to 2.1 beta 3
- Removed libqimgio2, now part of qt
- Changed installation directories to respect a QTDIR (/usr/lib/qt-2.1.0)
- Allows to keep Qt 2.0 and Qt 1.x around.
- Removed BuildArchitectures hack.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.1-10mdk
- BuildArchitectures only on non-x86.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.1-9mdk
- removed BuildArchitecture

* Sat Oct 23 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Add "alpha" as build architecture (pixel's rebuild)

* Mon Sep 20 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add libqgl2.a and libqimgio2.a to make KDE 2.0 happy

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- replace qstrlist.h with a version that works

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- rename /usr/lib/libqt.a to /usr/lib/libqt2.a to avoid conflict with
  qt 1.44
- Add libqt2.so link to libqt.so.2 so we can do -lqt2

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.
